 /* --------------------------------------------------------------------- */
 /* -------------------------- header / global -------------------------- */
 /* --------------------------------------------------------------------- */

 .app-font-global {
    font-family: 'Roboto', sans-serif;    
    background-color: var(--background-color);
}

.fa-ship {
    border: 7px solid;
    border-color: var(--medium-yellow-color);
    border-bottom: auto;
    background-color: var(--dark-yellow-color);;
    width:101px;
    height: 90px;
    float: right;
    margin-top: 30px;
    padding-top: 10px;
    box-shadow: 3px 3px var(--dark-yellow-color);
    transition: transform .7s ease-in-out;
}
.fa-ship:hover {
    transform: rotate(360deg);
    transition: transform .7s ease-in-out;
    cursor: pointer;
}

.app-square1 {
    background-color: var(--light-yellow-color);
    width: 20px;
    height: 20px;
    float: right;
    box-shadow: 3px 3px var(--dark-yellow-color);
    transition: transform .7s ease-in-out;
}
.app-square1:hover {
    transform: rotate(360deg);
    transition: transform .7s ease-in-out;
    cursor: pointer;
}

.app-square2 {
    background-color: var(--medium-yellow-color);
    width: 50px;
    height: 50px;
    float: right;
    margin-top: 6px;
    box-shadow: 3px 3px var(--dark-yellow-color);
    transition: transform .7s ease-in-out;
}
.app-square2:hover {
    transform: rotate(360deg);
    transition: transform .7s ease-in-out;
    cursor: pointer;
}

.app-square3 {
    background-color: var(--medium-yellow-color);
    width: 50px;
    height: 50px;
    float: right;
    margin-top: 117px;
    box-shadow: 3px 3px var(--dark-yellow-color);
    transition: transform .7s ease-in-out;
}
.app-square3:hover {
    transform: rotate(360deg);
    transition: transform .7s ease-in-out;
    cursor: pointer;
}

.app-square4 {
    background-color: var(--light-yellow-color);
    width: 20px;
    height: 20px;
    float: right;
    margin-top: 157px;
    margin-right: 150px;
    box-shadow: 3px 3px var(--dark-yellow-color);
    transition: transform .7s ease-in-out;
}
.app-square4:hover {
    transform: rotate(360deg);
    transition: transform .7s ease-in-out;
    cursor: pointer;
}

.app-banner {
    background-color: var(--medium-grey-color);
    color :white;
    padding: 10px;
    height: 130px;
    text-align: center;
    box-shadow: 0px 2px 2px black;
    position: relative;

}

.app-h1-title-size {
    font-size: 20px;
    padding-left: 74px;
}

.app-h2-title-size {
    font-size: 30px;
    display: block;
}

.app-menu-banner {
    background-color: var(--dark-grey-color);
    color :white;
    padding: 3px;
    height: 50px;
    box-shadow: 0px 3px 3px black;
}

.app-menu-buttons {
    background-color: var(--light-grey-color);
    color :black;
    padding: 8px;
    display: inline-block;
    margin-left: 10px;
    margin-top: 5px;
    font-weight: bold;
    box-shadow: 5px 5px black;
    text-decoration: none;
}

.app-menu-buttons:hover {
    background-color: var(--medium-yellow-color);
    box-shadow: 5px 5px var(--dark-yellow-color);
    transition: 0.25s background-color 0.25s box-shadow;
}

.app-menu-buttons:active{
    transform: translateY(4px) translateX(4px);
    box-shadow: 1px 1px var(--dark-yellow-color);
}



 /* --------------------------------------------------------------------- */
 /* -------------------------- footer ----------------------------------- */
 /* --------------------------------------------------------------------- */

 .app-footer-global-flex {
    background-color: #94b4c4;
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    align-items:flex-end;
    align-content: flex-start;
}

.app-footer-left {
    flex: 0 1 auto;
    align-self:flex-start;
    font-weight: bold;
}

.app-footer-link {
    font-weight: normal;
    text-decoration: none;
    list-style-type: none;
    color: black;
    font-size: 15px;
}

.app-footer-middle {
    flex: 0 1 auto;
    align-self: auto;
    width: 400px;;
}

.app-footer-right {
    flex: 0 1 auto;
    align-self: auto;
    padding-bottom: 15px;
}

.app-perso-footer {
    list-style-type: none;
    font-size: 15px;
    line-height: 1.9;
}

.app-icones-footer {
    background-color: #0e76a8;
    width: 24px;
    height: 24px;
    border-radius: 8px;
    margin-right: 10px;
    margin-top: 2px;
    padding-right: 1px;
    float: left;
}

.app-icones-linkedin {
    width: 30px;
    height: 30px;
    border-radius: 8px;
    margin-right: 10px;
    margin-top: 2px;
    float: left;
}
.fa-linkedin {
    float: left;
    padding: 4px 4px 4px 6.5px;
    color: white;
  }

  .app-icones-envelope {
    width: 30px;
    height: 30px;
    border-radius: 8px;
    margin-right: 10px;
    margin-top: 2px;
    float: left;
}
.fa-envelope {
    float: left;
    padding: 4px 5px 4px 5px;
    color: white;
  }

.app-icones-home {
    width: 30px;
    height: 30px;
    border-radius: 8px;
    margin-right: 10px;
    margin-top: 2px;
    float: left;
}
  .fa-home {
    float: left;
    padding: 5px 5px 4px 5.5px;
    color: white;
  }

  .app-icones-phone {
    width: 30px;
    height: 30px;
    border-radius: 8px;
    margin-right: 10px;
    margin-top: 2px;
    float: left;
}
  .fa-phone {
    padding: 5.5px 5px 4px 7.5px;
    color: white;
  }

 /* --------------------------------------------------------------------- */
 /* -------------------------- bouton rules/game + logo ----------------- */
 /* --------------------------------------------------------------------- */

.fa-book {
    margin-left: 40px;
    padding: 0px 10px 0px 4px;
    color: var(--dark-grey-color);
    float:left;
 }
 .fa-gamepad {
    margin-left: 35px;
    padding: 0px 10px 0px 4px;
    color: var(--dark-grey-color);
    float:left;
 }
 
 .app-rules-button {
    background-color: var(--light-grey-color);
    color :black;
    padding: 8px;
    display: inline-block;
    margin-left: 10px;
    margin-top: 5px;
    margin-bottom: 20px;
    font-weight: bold;
    border-radius: 15px;
    /* box-shadow: 5px 5px var(--dark-grey-color); */
    box-shadow: 0px 5px var(--dark-grey-color);
    text-decoration: none;
    outline: none;
}

.app-rules-button:hover {
    background-color: var(--medium-yellow-color);
    box-shadow: 0px 5px var(--dark-yellow-color);
    border-color: var(--dark-yellow-color);
    transition: 0.25s background-color 0.25s box-shadow;
}

.app-rules-button:active{
    transform: translateY(4px);
    box-shadow: 1px 1px var(--dark-yellow-color);
}

.app-rules-text {
background-color: var(--medium-grey-color);
color: var(--medium-yellow-color);
margin: 5px 40px 20px 40px;
border-radius: 15px;
padding: 5px 25px 5px 25px;
box-shadow: 5px 5px var(--dark-grey-color);
}

.app-game-button {
    background-color: var(--light-grey-color);
    color :black;
    padding: 8px;
    display: inline-block;
    margin-left: 10px;
    margin-top: 5px;
    margin-bottom: 40px;
    font-weight: bold;
    border-radius: 15px;
    box-shadow: 0px 5px var(--dark-grey-color);
    text-decoration: none;
    outline: none;
}

.app-game-button:hover {
    background-color: var(--medium-yellow-color);
    box-shadow: 0px 5px var(--dark-yellow-color);
    border-color: var(--dark-yellow-color);
    transition: 0.25s background-color 0.25s box-shadow;
}

.app-game-button:active{
    transform: translateY(4px);
    box-shadow: 1px 1px var(--dark-yellow-color);
}

.fa-hourglass-start {
    margin-left: 20px;
    padding: 0px 30px 0px 4px;
    color: var(--dark-grey-color);
    float:left;
 }

.app-luck {
    background-color: var(--dark-grey-color);
    box-shadow: 5px 5px black;
    color: white;
    width: 300px;
    border-radius: 15px;
    position: sticky;
    height: 45px;
    margin-bottom: 35px;
    margin-top: 0px;
}

 .app-luck-logo {
     display: block;
     float: left;
     width: 70px;
     height: 38px;
     border-top-left-radius: 15px;
     border-bottom-left-radius: 15px;
    background-color:  var(--medium-yellow-color);  
    margin-right: 20px; 
    padding-top: 7px;
    box-shadow: 3px 0px 3px black;
} 

.app-luck-text {
    padding-top: 13px;
}

 /* --------------------------------------------------------------------- */
 /* -------------------------- main ------------------------------------- */
 /* --------------------------------------------------------------------- */


 .app-title-game {
    text-align: center;
    font-size: 30px;
    font-weight: bold;
    color: black;
    width: auto;
    background-color: var(--medium-yellow-color);
    margin: 20px 50px 20px 50px;
    padding: 10px;
    box-shadow: 5px 5px var(--dark-yellow-color);
}

.app-container-global {
    margin-bottom: 50px;
    width: 930px;
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    justify-content: space-between;
    align-content: flex-start; 
    margin-left: 50px;
    margin-right: 50px;
    border-radius: 15px;
    background-color: var(--light-yellow-color);
    box-shadow: 5px 5px var(--dark-yellow-color);
}
.app-container-global__top {
    background-color: var(--dark-grey-color);
    color: white;
    box-shadow: 0px 2px 2px black;
    height: 535px;
    border-top-left-radius: 15px;
    border-top-right-radius: 15px;
    position: relative;
    z-index: 3;
    padding-top: 10px;
    text-align: center;
}
.app-container-global__middle {
    background-color: var(--medium-grey-color);
    color: var(--medium-yellow-color);
    height: 460px;
    box-shadow: 0px 3px 3px var(--dark-grey-color);
    position: relative;
    z-index: 2;
    font-weight: bold;
    padding-bottom: 5px;
    padding-top: 25px;
}
.app-container-global__bottom {
    background-color: var(--medium-yellow-color);
    border-bottom-left-radius: 15px;
    border-bottom-right-radius: 15px;
    height: 90px;
    position: relative;
    z-index: 1;
    padding-top: 10px;
    font-weight: bold;
    text-align: center;
}

.app-container-top {
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    justify-content: space-around;
    align-content: center;
}

.app-player-text{
    margin-bottom: 10px;
    font-size: 1.5em;
    font-weight: bold;
    color : var(--water-color);
}

.app-container-top__resumeBoat{
    margin : 5px 10% 20px 10%;

}
.app-container-top__resumeText{
    text-align: center;
}

.app-boats-menu {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: space-around;
    align-items: flex-start;
}
/*
.app-boats-menu__player{
    
}
*/
.app-player-boats{
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    justify-content: center;
    align-items: flex-start;
    height: 300px;
    background-color: var(--water-color);
    border-radius: 15px;
    text-align: right;
    padding-bottom: 10px;
    box-shadow: 3px 3px 1px rgb(0, 137, 172);

}
.app-player-boats__containers{
    margin: 5px;
    width: 220px;
    height: 50px;
    transform: scaleX(-1)
}
/*
.app-player-boats__containers--individual{
    
}
*/
.app-player-boats__containers--image{
    height: 55px;
}
/*
.app-boats-menu__IA{
    
}
*/
.app-IA-boats{
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    justify-content: center;
    align-items: flex-start;
    height: 300px;
    background-color: var(--water-color);
    border-radius: 15px;
    text-align: right;
    padding-bottom: 10px;
    box-shadow: 3px 3px 1px rgb(0, 137, 172);
}
.app-IA-boats__containers{
    margin: 5px;
    width: 220px;
    height: 50px;
}
/*
.app-IA-boats__containers--individual{
    
}
*/
.app-IA-boats__containers--image{
    height: 55px;
}


.app-boats-menu__text {
    margin-bottom: 5px;
}

.app-boats-menu__text--text1{
    color: var(--medium-yellow-color);
    font-weight: bold;
    padding-top: 7px;
    padding-bottom: 7px;
}
.app-boats-menu__text--error {
    color: red;
    font-weight:normal;
    margin-top: 7px;
    margin-bottom: 0px;
}
.app-boats-menu__text--success {
    color: var(--water-color);
    font-weight:bold;
    margin-top: 7px;
    margin-bottom: 0px;
}

.app-start-button {
    background-color: var(--medium-yellow-color);
    color :black;
    padding: 8px;
    display: inline-block;
    margin-left: 10px;
    margin-top: 5px;
    margin-bottom: 10px;
    font-weight: bold;
    border-radius: 15px;
    box-shadow: 0px 5px var(--dark-yellow-color);
    text-decoration: none;
    outline: none;
}
.app-start-button:hover {
    background-color: var(--light-yellow-color);
    box-shadow: 0px 5px var(--medium-yellow-color);
    border-color: var(--dark-yellow-color);
    transition: 0.25s background-color 0.25s box-shadow;
}
.app-start-button:active{
    transform: translateY(4px);
    box-shadow: 1px 1px var(--dark-yellow-color);
}
.app-start-button:disabled{
    background-color: var(--dark-yellow-color);
}


.app-input-buttons {
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    justify-content: space-between;
    align-items: center;

}

 .app-input-button__individual {
    background-color: var(--water-color);
    width: 40px;
    height: 40px;
    padding: 0px 0px 0px 0px;
    border-color: rgb(0, 204, 255);
    border-width: 1px;
} 

.app-input-button__individual--empty {
    background-color: var(--water-color);
    width: 40px;
    height: 40px;
    padding: 0px 0px 0px 0px;
    border-color: rgb(0, 204, 255);
    border-width: 1px;
} 

.app-input-button__individual--wave {
    background-color: var(--water-color);
    width: 38px;
    height: 38px;
    padding: 0px 0px 0px 0px;
    border-color: rgb(0, 204, 255);
    border-width: 0px;
} 

.app-input-button__individual--choosen {
    background-color: var(--medium-grey-color);
    width: 40px;
    height: 40px;
    padding: 0px 0px 0px 0px;
    margin: 0px 0px 0px 0px;
    border-width: 1px;
} 

.app-input-button__individual--IABoat {
    background-color: var(--water-color);
    width: 40px;
    height: 40px;
    padding: 0px 0px 0px 0px;
    border-color: rgb(0, 204, 255);
    border-width: 1px;
    color: var(--water-color);
} 



.app-input-button__individual--boatContainer {
    background-color: var(--water-color);
    width: 40px;
    height: 40px;
    padding: 0px 0px 0px 0px;
    border-color: rgb(0, 204, 255);
    border-width: 1px;
} 

.app-input-button__individual--waveContainer {
    background-color: var(--water-color);
    width: 40px;
    height: 40px;
    padding: 0px 0px 0px 0px;
    border-color: rgb(0, 204, 255);
    border-width: 1px;
} 
.app-input-button__individual--deadContainer {
    background-color: var(--water-color);
    width: 40px;
    height: 40px;
    padding: 0px 0px 0px 0px;
    border-color: rgb(0, 204, 255);
    border-width: 1px;
} 

.app-input-button__individual--boat {
    background-color: var(--water-color);
    width: 38px;
    height: 38px;
    padding: 0px 0px 0px 0px;
    border-color: rgb(0, 204, 255);
    border-width: 0px;
} 

.app-boat-case {
    width: 38px;
    
}



.app-input-button__individual:hover {
    background-image: url(img/target.png);
    background-size: 37px;
}
.app-input-button__individual--boat:hover {
    background-image: url(img/target.png);
    background-size: 37px;
} 
.app-input-button__individual--IABoat:hover {
    background-image: url(img/target.png);
    background-size: 37px;
} 
.app-input-button__individual--boatContainer:hover {
    background-image: url(img/target.png);
    background-size: 37px;
} 



.app-buttons-grid {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: space-between;
    align-items: center;
    /* width: 220px;
    padding-bottom: 5px; */
}

.app-buttons-grid__containers {
    width: 40px;
    height: 40px;

}



.app-grids {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: center;
    align-items: center;
    margin-bottom: 20px;
}

.app-grids__player {
padding-right: 20px;
}

.app-grids__IA {
    padding-left: 20px;

}

.app-retry-text {
    padding-top: 2px;
    padding-bottom: 10px;
}

.app-retry-button {
    background-color: var(--light-grey-color);
    color :black;
    padding: 8px;
    display: inline-block;
    margin-left: 10px;
    margin-top: 5px;
    margin-bottom: 10px;
    font-weight: bold;
    border-radius: 15px;
    box-shadow: 0px 5px var(--dark-grey-color);
    text-decoration: none;
    outline: none;
}

.app-retry-button__individual {
    display: inline-block;
}

.app-retry-button:hover {
    background-color: var(--medium-yellow-color);
    box-shadow: 0px 5px var(--dark-yellow-color);
    border-color: var(--dark-yellow-color);
    transition: 0.25s background-color 0.25s box-shadow;
}

.app-retry-button:active{
    transform: translateY(4px);
    box-shadow: 1px 1px var(--dark-yellow-color);
}
